Package org.apache.commons.io.file.spi

# Class FileSystemProviders

java.lang.Object
org.apache.commons.io.file.spi.FileSystemProviders

public class FileSystemProviders extends Object
Helps to work with `FileSystemProvider`.

Since:
  2.9.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileSystemProvider`
  `getFileSystemProvider(String scheme)`
  Gets the `FileSystemProvider` for the given scheme.
  `FileSystemProvider`
  `getFileSystemProvider(URI uri)`
  Gets the `FileSystemProvider` for the given URI.
  `FileSystemProvider`
  `getFileSystemProvider(URL url)`
  Gets the `FileSystemProvider` for the given URL.
  `static FileSystemProvider`
  `getFileSystemProvider(Path path)`
  Gets the `FileSystemProvider` for the given Path.
  `static FileSystemProviders`
  `installed()`
  Returns the instance for the installed providers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getFileSystemProvider

    public static FileSystemProvider getFileSystemProvider(Path path)
    Gets the `FileSystemProvider` for the given Path.
    Parameters:
      `path` - The Path to query
    Returns:
      the `FileSystemProvider` for the given Path.

  - ### installed

    public static FileSystemProviders installed()
    Returns the instance for the installed providers.
    Returns:
      the instance for the installed providers.
    See Also:
      - `FileSystemProvider.installedProviders()`

  - ### getFileSystemProvider

    public FileSystemProvider getFileSystemProvider(String scheme)
    Gets the `FileSystemProvider` for the given scheme.
    Parameters:
      `scheme` - The scheme to query.
    Returns:
      the `FileSystemProvider` for the given URI or null.

  - ### getFileSystemProvider

    public FileSystemProvider getFileSystemProvider(URI uri)
    Gets the `FileSystemProvider` for the given URI.
    Parameters:
      `uri` - The URI to query
    Returns:
      the `FileSystemProvider` for the given URI or null.

  - ### getFileSystemProvider

    public FileSystemProvider getFileSystemProvider(URL url)
    Gets the `FileSystemProvider` for the given URL.
    Parameters:
      `url` - The URL to query
    Returns:
      the `FileSystemProvider` for the given URI or null.